2019-10-18 11:09 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002672FSSCPHUDpublic2012-08-31 23:50
ReporterAxem 
Assigned Toniffiwan 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.14 
Summary0002672: Retail ETS Gauge Showing when it shouldn't
Descriptionhttp://lazymodders.fsmods.net/axemart/FreeSpace/screen0849.jpg

Despite using the mediavps with a hud gauge table, there's no duplicate entry about. Going to a build The E made for BP, the duplicate ETS gauges do not show. So something in the last month or so caused this.
TagsNo tags attached.
Attached Files

-Relationships
related to 0002419resolvedniffiwan ETS gauges do not rearrange themselves as per retail behavior when fighters do not have shields. 
+Relationships

-Notes

~0013714

niffiwan (developer)

This is caused by the changes in mantis 2419. There's a new all-in-one ETS gauge which will behave like the retail ETS gauge when a fighter is missing its shields (or weapons / engines - but I don't recall those ever being missing).

The ETS duplication is caused by the new gauge being set as the default ETS gauge and the "load retail configuration" option being set to true. Simplest fix is to change your hud gauge table as per the three .tbms I've attached to this ticket, i.e. replace ETS Weapons with ETS Retail, and remove ETS Shields and ETS Engines.

I chose not to add extra code to not display the new gauge if all three other gauges were present because it's not intuitive behaviour, there's another setting which will stop the duplicates from happening (i.e. the load retail configuration option) and the fact that the new HUD feature was added since 3.6.12, so it's OK to break the feature before 3.6.14 :)

Having said that, what do you think about this? I should probably have announced this change on the public forum...

~0013715

MjnMixael (manager)

Perhaps I'm misunderstanding the many variables here... but shouldn't ETS Retail only show up if ETS Retail is specified in the hud gauges table? That seems pretty straightforward.. but I think I'm missing something.

~0013716

niffiwan (developer)

Last edited: 2012-06-24 22:34

View 3 revisions

If you've got "$Load Retail Configuration: yes" in your table, or if you don't have a table, any gauge which is listed as being a default gauge and which isn't defined in your table is shown anyway (with the default retail config/position). Prior to the change, all three separate ETS gauges were "defaults". I thought it made more sense for the new ETS Retail gauge to be the default, so that someone running without a hud gauges table (e.g. playing retail with a 4:3 resolution) would get the new gauge.


FYI, the default gauges are:

static int retail_gauges[] = {
    HUD_OBJECT_MESSAGES,
    HUD_OBJECT_TRAINING_MESSAGES,
    HUD_OBJECT_SUPPORT,
    HUD_OBJECT_DAMAGE,
    HUD_OBJECT_WINGMAN_STATUS,
    HUD_OBJECT_AUTO_SPEED,
    HUD_OBJECT_AUTO_TARGET,
    HUD_OBJECT_CMEASURES,
    HUD_OBJECT_TALKING_HEAD,
    HUD_OBJECT_DIRECTIVES,
    HUD_OBJECT_WEAPONS,
    HUD_OBJECT_OBJ_NOTIFY,
    HUD_OBJECT_SQUAD_MSG,
    HUD_OBJECT_LAG,
    HUD_OBJECT_MINI_SHIELD,
    HUD_OBJECT_PLAYER_SHIELD,
    HUD_OBJECT_TARGET_SHIELD,
    HUD_OBJECT_ESCORT,
    HUD_OBJECT_MISSION_TIME,
    HUD_OBJECT_TARGET_MONITOR,
    HUD_OBJECT_EXTRA_TARGET_DATA,
    HUD_OBJECT_AFTERBURNER,
    HUD_OBJECT_WEAPON_ENERGY,
    HUD_OBJECT_TEXT_WARNINGS,
    HUD_OBJECT_CENTER_RETICLE,
    HUD_OBJECT_THROTTLE,
    HUD_OBJECT_THREAT,
    HUD_OBJECT_LEAD,
    HUD_OBJECT_LOCK,
    HUD_OBJECT_MULTI_MSG,
    HUD_OBJECT_VOICE_STATUS,
    HUD_OBJECT_PING,
    HUD_OBJECT_SUPERNOVA,
    HUD_OBJECT_OFFSCREEN,
    HUD_OBJECT_BRACKETS,
    HUD_OBJECT_ORIENTATION_TEE,
    HUD_OBJECT_HOSTILE_TRI,
    HUD_OBJECT_TARGET_TRI,
    HUD_OBJECT_MISSILE_TRI,
    HUD_OBJECT_KILLS,
    HUD_OBJECT_FIXED_MESSAGES,
    HUD_OBJECT_ETS_RETAIL
};

~0013717

Axem (reporter)

Gotcha on the whole issue. I wasn't aware of this new gauge that got added. Even I, who usually watches the SVN commit log, was caught unaware.

~0013718

niffiwan (developer)

Thanks - and I've documented the change on the forums here:
http://www.hard-light.net/forums/index.php?topic=81213.0

~0013952

niffiwan (developer)

adding 4:3 res to mediavps table
+Notes

-Issue History
Date Modified Username Field Change
2012-06-24 15:59 Axem New Issue
2012-06-24 21:09 niffiwan Assigned To => niffiwan
2012-06-24 21:09 niffiwan Status new => assigned
2012-06-24 21:09 niffiwan Relationship added related to 0002419
2012-06-24 21:14 niffiwan File Added: bp2_mv_root-hdg.tbm
2012-06-24 21:14 niffiwan File Added: fsport_mediavps_mv_root-hdg.tbm
2012-06-24 21:14 niffiwan File Added: mediavps_3612_mv_root-hdg.tbm
2012-06-24 21:32 niffiwan Note Added: 0013714
2012-06-24 21:32 niffiwan Status assigned => feedback
2012-06-24 21:36 MjnMixael Note Added: 0013715
2012-06-24 22:02 niffiwan Note Added: 0013716
2012-06-24 22:05 niffiwan Note Edited: 0013716 View Revisions
2012-06-24 22:34 niffiwan Note Edited: 0013716 View Revisions
2012-06-24 23:16 Axem Note Added: 0013717
2012-06-24 23:16 Axem Status feedback => assigned
2012-06-25 01:13 niffiwan Note Added: 0013718
2012-06-25 01:13 niffiwan Status assigned => closed
2012-06-25 01:13 niffiwan Resolution open => won't fix
2012-08-31 23:41 niffiwan Note Added: 0013952
2012-08-31 23:41 niffiwan Status closed => feedback
2012-08-31 23:41 niffiwan Resolution won't fix => reopened
2012-08-31 23:41 niffiwan File Deleted: mediavps_3612_mv_root-hdg.tbm
2012-08-31 23:41 niffiwan File Added: mediavps_3612_mv_root-hdg.tbm
2012-08-31 23:49 niffiwan File Deleted: mediavps_3612_mv_root-hdg.tbm
2012-08-31 23:50 niffiwan File Added: mv_root-hdg.tbm
2012-08-31 23:50 niffiwan Status feedback => resolved
2012-08-31 23:50 niffiwan Fixed in Version => 3.6.14
2012-08-31 23:50 niffiwan Resolution reopened => fixed
+Issue History